编译icewm要求xft(XFree86),但现在都用xorg了,该怎么办?

为当前最终发行版之前的所有版本提供支持
回复
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

编译icewm要求xft(XFree86),但现在都用xorg了,该怎么办?

#1

帖子 yongyi » 2005-07-27 14:28

在编译icewm1.2.22时,configure出现以下错误,该如何?

代码: 全选

checking for xft-config... no
checking X11/Xft/Xft.h usability... no
checking X11/Xft/Xft.h presence... no
checking for X11/Xft/Xft.h... no
configure: error: Xft support has been requested but headers were not found.
  *** Configure your X server to support XFreeType.
  *** Information about how to do this can be found in RELNOTES for XFree86.
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#2

帖子 yonsan » 2005-07-27 15:06

试试:

代码: 全选

sudo aptitude install freetype2-dev
上次由 yonsan 在 2005-07-27 15:23,总共编辑 1 次。
I will be back!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yongyi » 2005-07-27 15:21

我怎么没找到这包的?
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#4

帖子 yonsan » 2005-07-27 15:25

偶的sources.list

deb http://archive.ubuntu.org.cn/ubuntu hoary main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu hoary-security main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu hoary-updates main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu-cn ubuntu.org.cn main universe multiverse restricted
deb http://archive.ubuntu.org.cn/backports hoary-backports main universe multiverse restricted
deb http://archive.ubuntu.org.cn/backports hoary-extras main universe multiverse restricted
deb-src http://archive.ubuntu.org.cn/ubuntu hoary main restricted universe multiverse
deb-src http://archive.ubuntu.org.cn/ubuntu hoary-security main restricted universe multiverse
deb-src http://archive.ubuntu.org.cn/ubuntu hoary-updates main restricted universe multiverse


我能找到的吖,你是不是太久没apt-get update了
I will be back!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 yongyi » 2005-07-27 15:32

郁闷了,更新一下,也没有,我都跟你一样,就用快速设置的源啊!
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#6

帖子 yonsan » 2005-07-27 15:39

代码: 全选

zhong@ubuntu:~$ sudo aptitude install freetype2-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取扩展状态文件
正在初始化软件包状态... 完成
注意:选择 “libttf-dev”而不是虚拟软件包 “freetype2-dev”
下列软件包将被自动安装:
  libttf2
下列软件包已经被阻止升级:
  firefox mozilla-firefox
下列“新”软件包将被安装。
  libttf-dev libttf2
0 个软件包被升级,新安装2 个,0 个将被删除, 同时 2 个将不升级。
需要获取 614kB 的存档。解包后将要使用 1405kB。
您要继续吗?[Y/n/?] y
正在编辑扩展状态信息... 完成
读取:1 http://archive.ubuntu.org.cn hoary/main libttf2 1.4pre.20030402-1.1 [144kB]
读取:2 http://archive.ubuntu.org.cn hoary/main libttf-dev 1.4pre.20030402-1.1 [470kB]
已下载 614kB,耗时 12s (49.0kB/s)

Preconfiguring packages ...
选中了曾被取消选择的软件包 libttf2。
(正在读取数据库 ... 系统当前总共安装有 73002 个文件和目录。)
正在解压缩 libttf2 (从 .../libttf2_1.4pre.20030402-1.1_i386.deb) ...
选中了曾被取消选择的软件包 libttf-dev。
正在解压缩 libttf-dev (从 .../libttf-dev_1.4pre.20030402-1.1_i386.deb) ...
正在设置 libttf2 (1.4pre.20030402-1.1) ...

正在设置 libttf-dev (1.4pre.20030402-1.1) ...
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取扩展状态文件
正在初始化软件包状态... 完成


你的是这样吗?

注:
http://forum.ubuntu.org.cn/viewtopic.php?t=1500
偶在测试oneleaf写的脚本时,成功运行完!!
不过估计这该没多大影响的吧,脚本也是只修改sources.list
I will be back!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 yongyi » 2005-07-27 16:06

你也没有freetype2-dev ,只有libttf-dev libttf2嘛。我现在装了libttf-dev libttf2,但configure还是报一样的错。

已经为编译这ICEWM新版安装了好多包包了,唉,奇怪!
它好像要装XFree86,但现在用xorg,是冲突的。
如果--disable-xfreetype又没办法显示中文!呵。晕!
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 yongyi » 2005-07-27 17:23

哈哈!不用编译了!原来breezy 中已经有了!正点!比debian 的还新! :lol:
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 yongyi » 2005-07-27 21:22

唉,这就证明了乐极生悲了。一高兴,没看清楚就安装,原来依赖关系非常复杂,特别是icewm-gnome-support,把xorg也升了!晕了,现在竟然提示startx 也是没有的命令。重新配置xorg也没用。把它升级到breezy也还是不行。看来又得重装了 :cry: 准备试验一下那个ubuntulite。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#10

帖子 yonsan » 2005-07-27 21:59

晕,yongyi兄又当了一会英雄!!
I will be back!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 yongyi » 2005-07-27 22:25

哪里,是只大白鼠 8) 发现这ubuntulite好像比较难安装的样子(没installer,有人说还会格掉整个硬盘,而且装完后还得手动配置xorg)。看来还是等光盘来自定义安装吧 :wink:
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
cscxk
帖子: 81
注册时间: 2005-06-29 22:14
送出感谢: 0
接收感谢: 0

#12

帖子 cscxk » 2005-07-28 13:20

哈哈哈哈,有跟我一样自作聪明的了,我也是不小心备breezy的包搞得一塌糊涂
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 yongyi » 2005-07-28 13:32

:shock:
嘿嘿,我从来没认为自己这么(自作)聪明的 :wink: 留意我一些有关安装的帖子就清楚了。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
回复

回到 “老旧版本支持”